//+------------------------------------------------------------------+
//|                                             ForexFreedomBars.mq4 |
//|                                                            Roger |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Roger"
#property link      ""

//---- input parameters
extern int       SL=40;
extern int       TP=40;
extern double    lots=0.1;
extern int       Per1=5;
extern int       Per2=15;
extern int       Per3=30;
extern int       Per4=60;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
 double n1_up,n1_dn,n2_up,n2_dn,n3_up,n3_dn,n4_up,n4_dn;
 
 
 n1_up=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,6,0);
 n2_up=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,4,0);
 n3_up=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,2,0);
 n4_up=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,0,0);
 n1_dn=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,7,0);
 n2_dn=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,5,0);
 n3_dn=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,3,0);
 n4_dn=iCustom(Symbol(),Period(),"Freedom Bars",1,Per1,Per2,Per3,Per4,2,2,2,2,false,1,0);
 
 if(NewBar())
 {
 if(n1_up!=0&&n2_up!=0&&n3_up!=0&&n4_up!=0)
   {
   OrderSend(Symbol(),OP_SELL,lots,Bid,3,Ask+SL*Point,Ask-TP*Point);
   Print("n1_up - ",n1_up," n2_up - ",n2_up," n3_up - ",n3_up," n4_up - ",n4_up);
   }
 if(n1_dn!=0&&n2_dn!=0&&n3_dn!=0&&n4_dn!=0)
   {
    OrderSend(Symbol(),OP_BUY,lots,Ask,3,Bid-SL*Point,Bid+TP*Point);
   Print("n1_dn - ",n1_dn," n2_dn - ",n2_dn," n3_dn - ",n3_dn," n4_dn - ",n4_dn);
   }
 }
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
bool NewBar()
{
static datetime dt = 0;

if (Time[0] != dt)
{
dt = Time[0];
return(true);
}
return(false);
}

